Skip to navigation

Get user initials image or user signature image

View as Markdown

Retrieves the specified initials image or signature image for the specified user. The image is returned in the same format as uploaded. In the request you can specify if the chrome (the added line and identifier around the initial image) is returned with the image.

The userId property specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the account.

The signatureId parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.

For example encode “Bob Smith” as “Bob%20Smith”.

Note: Older envelopes might only have chromed images. If getting the non-chromed image fails, try getting the chromed image.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

imageTypestringRequired

One of signature_image or initials_image.

signatureIdstringRequired
The ID of the signature being accessed.
userIdstringRequired

The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. Note: For the GET /v2/accounts/{accountId}/envelopes method, the user_id query parameter is not implemented and should not be used.

Query parameters

include_chromestringOptional

Response

Successful response.

Errors

400
Bad Request Error